Receiving IMAP mails fails with 'undefined method'
Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version:  

Description

I am running redmine trunk r2835, with ruby 1.8.7 and rails 2.2.2.

When I try to receive mails from our IMAP Server at Strato.de , I get the following exception.

Don't know what other information you need, if there is anything I can help you with, please let me know.

# rake -f /var/www/redmine/Rakefile redmine:email:receive_imap RAILS_ENV="production" host=imap.st

rato.de ssl=true \

    port=993 username=binoli@redmine.domain.de password=******** project=binoli \

    move_on_success=redmine-success move_on_failure=redmine-failure --trace

(in /root)

** Invoke redmine:email:receive_imap (first_time)

** Invoke environment (first_time)

** Execute environment

** Execute redmine:email:receive_imap

rake aborted!

undefined method `[]' for nil:NilClass

/usr/lib/ruby/1.8/net/imap.rb:1160:in `search_internal'

/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/lib/ruby/1.8/net/imap.rb:1154:in `search_internal'

/usr/lib/ruby/1.8/net/imap.rb:679:in `search'

/var/www/redmine/lib/redmine/imap.rb:32:in `check'

/var/www/redmine/lib/tasks/email.rake:127

/usr/lib/ruby/1.8/rake.rb:617:in `call'

/usr/lib/ruby/1.8/rake.rb:617:in `execute'

/usr/lib/ruby/1.8/rake.rb:612:in `each'

/usr/lib/ruby/1.8/rake.rb:612:in `execute'

/usr/lib/ruby/1.8/rake.rb:578:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/lib/ruby/1.8/rake.rb:571:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/rake.rb:564:in `invoke'

/usr/lib/ruby/1.8/rake.rb:2027:in `invoke_task'

/usr/lib/ruby/1.8/rake.rb:2005:in `top_level'

/usr/lib/ruby/1.8/rake.rb:2005:in `each'

/usr/lib/ruby/1.8/rake.rb:2005:in `top_level'

/usr/lib/ruby/1.8/rake.rb:2044:in `standard_exception_handling'

/usr/lib/ruby/1.8/rake.rb:1999:in `top_level'

/usr/lib/ruby/1.8/rake.rb:1977:in `run'

/usr/lib/ruby/1.8/rake.rb:2044:in `standard_exception_handling'

/usr/lib/ruby/1.8/rake.rb:1974:in `run'

/usr/bin/rake:28

History

#1 - 2009-09-01 11:35 - Anonymous

Same problem !

#2 - 2009-09-01 11:36 - Anonymous

Patrice Bonhomme wrote:

Same problem !
https://www.redmine.org/projects/redmine/repository/svn/revisions/2835


 It seems to happend when here is no mail to process within the IMAP folder.

#3 - 2009-11-11 18:02 - Jean-Philippe Lang

- Resolution set to Cant reproduce

I can't reproduce and this error is raised by ruby net/imap. So I can't fix anything.

#4 - 2009-11-11 18:02 - Jean-Philippe Lang

- Status changed from New to Closed

#5 - 2009-11-12 10:55 - Samuel Vogel

- Status changed from Closed to Reopened

I can still reproduce this behavior. I'm not that fond in Ruby/Rails, so any pointers on how to go on about this bug would be appreciated.

Any more info I can provide?

The access to the mailbox seems fine, as it says "Login incorrect" when I try it with a different password.

Also this error seems to happen while the mailbox is empty.

#6 - 2009-11-28 13:16 - Jean-Philippe Lang

- Category changed from Email notifications to Email receiving

#7 - 2010-02-19 15:41 - Felix Schäfer

I have this problem too, although only on one of the two installations I have running with the imap thingie.

@Jena-Philippe: Would it help you to get a test account on this imap server so that you can try to reproduce the error yourself?

#8 - 2010-05-28 10:37 - Matt Hamilton

I also have the same problem http://www.redmine.org/boards/2/topics/14274

#9 - 2013-09-01 23:50 - Jan Niggemann (redmine.org team member)

Is this issue still current?

#10 - 2013-09-10 11:09 - Toshi MARUYAMA

- Status changed from Reopened to Needs feedback

#11 - 2015-08-23 17:14 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Closed

- Resolution changed from Cant reproduce to No feedback
